%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7
%define req_ggz_client_libs_version 0.0.7

%define disable_motd_editor 0
%{?_without_motd: %global %disable_motd_editor 1}

Name:		ggz-utils
Summary:	GGZ Utilities
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) 0.0.7-1mdk ggz.snafu.de is no more, replace with existing servers
Patch0:		%{name}-0.0.7-default-servers.patch.bz2

%if !%disable_motd_editor
BuildRequires:	gnome-libs-devel
%endif
BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
Requires:	libggz = %{req_libggz_version}
Requires:	ggz-client-libs = %{req_ggz_client_libs_version}

%description
This package contains some assorted utilities which don't fit into
another GGZ Gaming Zone packages:

- Cmd-Client:
  Utily to broadcast messages across all rooms at a GGZ server.
- Metaserv:
  The first prototype of a GGZ meta server. It is completely XML-based
  but understands URI queries as well.
- Motd-Editor:
  A GNOME-based editor for creating MOTDs.
- ggzcommgen:
  A GGZ Communication Library source file generator.
- TelGGZ:
  A Telnet wrapper for GGZ. Using telggz you can chat from
  everywhere in the world, provided you get a telnet terminal.

%prep
%setup -q
%patch0 -p1 -b .servers

%build
%configure2_5x \
%if %disable_motd_editor
	--disable-motd-editor \
%endif

# (Abel) 0.0.7-1mdk good to enable debugging for now to help testing
#	--disable-debug

%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

# menu entry
install -m 0755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/motd_editor" \
 icon="other_amusement.png" \
 longtitle="Editor for creating GGZ Gaming Zone MOTD file" \
 needs="x11" \
 section="Amusement/Other" \
 title="GGZ MOTD File Editor"
_EOF_

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/metaserv
%if !%disable_motd_editor
%{_menudir}/%{name}
%endif

%changelog
* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: fix metaserver info to use existing working servers
- Use glob for file list
- Various spec cleanups
- Add menu entry for motd_editor

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Fri Mar 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk 
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Initial specification file
